<!-- Generated by Docile.jl -->

# GeometryTypes - Operations

## Slicing

<a name="Base.slice"></a>

```rst
..  slice(A, inds...)

Returns a view of array ``A`` with the given indices like :func:`sub`, but drops all dimensions indexed with scalars.
```

Slice an AbstractMesh at the specified Z axis value. Returns a Vector of LineSegments generated from the faces at the specified heights. Note: This will not slice in-plane faces.

## Set Operations

<a name="Base.union"></a>

```
union(s1,s2...)
∪(s1,s2...)
```

Construct the union of two or more sets. Maintains order with arrays.

Perform a union between two HyperRectangles.

<a name="Base.LinAlg.diff"></a>

```
diff(A, [dim])
```

Finite difference operator of matrix or vector.

Perform a difference between two HyperRectangles.

<a name="Base.intersect"></a>

```
intersect(s1,s2...)
∩(s1,s2)
```

Construct the intersection of two or more sets. Maintains order and multiplicity of the first argument for arrays and ranges.

Perform a intersection between two HyperRectangles.

## Decompositions

<a name="GeometryTypes.decompose"></a>

Get decompose a `HyperRectangle` into points.

Decompose an N-Simplex into a tuple of Simplex{1}

Decompose an N-Simplex into tuple of Simplex{2}

Decompose an N-Simplex into a tuple of Simplex{3}

```
decompose{N, FT1, FT2}(::Type{Face{2, FT1}},
                               f::Face{N, FT2})
```

Extract all line segments in a Face.

```
decompose{N, FT1, FT2}(::Type{Face{3, FT1}},
                               f::Face{N, FT2})
```

Triangulate an N-Face into a tuple of triangular faces.

Allow to call decompose with unspecified vector type and infer types from primitive.
